    {-# LANGUAGE OverloadedStrings #-}
    -- | Build time configuration used during code generation.
    module GI.Dbusmenu.Config ( overrides, modules ) where

    import qualified Data.Text as T
    import Data.Text (Text)

    -- | Overrides used when generating these bindings.
    overrides :: Text
    overrides :: Text
    overrides = [Text] -> Text
    T.unlines
     [ Text
    "set-attr Dbusmenu/MenuitemClass/buildvariant/@type name zzz"
     , Text
    "set-attr Dbusmenu/Menuitem/child_find/@return-value nullable 1"
     , Text
    "set-attr Dbusmenu/Menuitem/find_id/@return-value nullable 1"
     , Text
    "set-attr Dbusmenu/Menuitem/property_get/@return-value nullable 1"
     , Text
    "set-attr Dbusmenu/Menuitem/property_get_byte_array/@return-value nullable 1"
     , Text
    "set-attr Dbusmenu/Menuitem/property_get_variant/@return-value nullable 1"]

    -- | Modules in this package
    modules :: [Text]
    modules :: [Text]
    modules =  [ Text
    "GI.Dbusmenu.Config"
     , Text
    "GI.Dbusmenu"
     , Text
    "GI.Dbusmenu.Callbacks"
     , Text
    "GI.Dbusmenu.Constants"
     , Text
    "GI.Dbusmenu.Enums"
     , Text
    "GI.Dbusmenu.Objects"
     , Text
    "GI.Dbusmenu.Objects.Client"
     , Text
    "GI.Dbusmenu.Objects.Menuitem"
     , Text
    "GI.Dbusmenu.Objects.MenuitemProxy"
     , Text
    "GI.Dbusmenu.Objects.Server"]